Package ghidra.app.util.bin.format.dwarf.line

# Class DWARFLineContentType.Def

java.lang.Object
ghidra.app.util.bin.format.dwarf.attribs.DWARFAttributeDef<DWARFLineContentType>
ghidra.app.util.bin.format.dwarf.line.DWARFLineContentType.Def

Enclosing class:
  `DWARFLineContentType`

public static class DWARFLineContentType.Def extends DWARFAttributeDef<DWARFLineContentType>
Defines a `DWARFLineContentType` attribute value.

- ## Field Summary

  ### Fields inherited from class ghidra.app.util.bin.format.dwarf.attribs.DWARFAttributeDef

  `attributeForm, attributeId, implicitValue, rawAttributeId`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Def(DWARFLineContentType attributeId, int rawAttributeId, DWARFForm attributeForm, long implicitValue)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DWARFLineContentType`
  `getId()`
  `protected String`
  `getRawAttributeIdDescription()`
  `static DWARFLineContentType.Def`
  `read(BinaryReader reader)`
  Reads a `DWARFLineContentType.Def` instance from the `reader`.
  `DWARFLineContentType.Def`
  `withForm(DWARFForm newForm)`

  ### Methods inherited from class ghidra.app.util.bin.format.dwarf.attribs.DWARFAttributeDef

  `equals, getAttributeForm, getAttributeId, getAttributeName, getImplicitValue, getRawAttributeId, hashCode, isImplicit, read, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Def

    public Def(DWARFLineContentType attributeId, int rawAttributeId, DWARFForm attributeForm, long implicitValue)

- ## Method Details

  - ### read

    public static DWARFLineContentType.Def read(BinaryReader reader) throws IOException
    Reads a `DWARFLineContentType.Def` instance from the `reader`.

    Returns a null if its a end-of-list marker.

    Parameters:
      `reader` - `BinaryReader` stream
    Returns:
      `DWARFLineContentType.Def`, or null if stream was at a end-of-list marker (which isn't really a thing for line content defs, but is a thing for attribute defs)
    Throws:
      `IOException` - if error reading

  - ### getId

    public DWARFLineContentType getId()

  - ### getRawAttributeIdDescription

    protected String getRawAttributeIdDescription()
    Overrides:
      `getRawAttributeIdDescription` in class `DWARFAttributeDef<DWARFLineContentType>`

  - ### withForm

    public DWARFLineContentType.Def withForm(DWARFForm newForm)
    Overrides:
      `withForm` in class `DWARFAttributeDef<DWARFLineContentType>`